# LogStream (SubServers.Host)

net.ME1312.SubServers.Host.Library.Log

## Class LogStream

- java.lang.Object
- - net.ME1312.SubServers.Host.Library.Log.LogStream

Direct Known Subclasses:
  ErrorStream

    public class LogStream
    extends java.lang.Object

Log Stream Class

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print(char c)` Print a Character
`void` `print(char[] str)` Print an Array of Characters
`void` `print(java.lang.Object obj)` Print an Object
`void` `print(java.lang.String str)` Print a String
`void` `println(char... c)` Print multiple Characters (separated by a new line)
`void` `println(char[]... str)` Print multiple Arrays of Characters (separated by a new line)
`void` `println(java.lang.Object... obj)` Print multiple Objects (separated by a new line)
`void` `println(java.lang.String... str)` Print multiple Strings (separated by a new line)

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### print

    public void print(java.lang.Object obj)

Print an Object

Parameters:
  `obj` - Object

#### print

    public void print(java.lang.String str)

Print a String

Parameters:
  `str` - String

#### print

    public void print(char[] str)

Print an Array of Characters

Parameters:
  `str` - Character Array

#### print

    public void print(char c)

Print a Character

Parameters:
  `c` - Character

#### println

    public void println(java.lang.Object... obj)

Print multiple Objects (separated by a new line)

Parameters:
  `obj` - Objects

#### println

    public void println(java.lang.String... str)

Print multiple Strings (separated by a new line)

Parameters:
  `str` - Objects

#### println

    public void println(char[]... str)

Print multiple Arrays of Characters (separated by a new line)

Parameters:
  `str` - Character Arrays

#### println

    public void println(char... c)

Print multiple Characters (separated by a new line)

Parameters:
  `c` - Characters